Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class TreeWalker

    java.lang.Object
      |
      +--org.apache.velocity.anakia.TreeWalker

public class TreeWalker
extends java.lang.Object

This class allows you to walk a tree of JDOM Element objects. It first walks the tree itself starting at the Element passed into allElements() and stores each node of the tree in a Vector which allElements() returns as a result of its execution. You can then use a #foreach in Velocity to walk over the Vector and visit each Element node. However, you can achieve the same effect by calling `element.selectNodes("//*")`.

Version:
  $Id: TreeWalker.java,v 1.5 2001/08/08 04:30:47 jon Exp $
Author:
  Jon S. Stevens, Attila Szegedi

Constructor Summary
`TreeWalker()` Empty constructor

Method Summary
`NodeList` | `allElements(org.jdom.Element e)` Creates a new Vector and walks the Element tree.
`private void` | `treeWalk(org.jdom.Element e, java.util.Collection theElements)` A recursive method to walk the Element tree.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### TreeWalker

    public TreeWalker()

  Empty constructor

Method Detail

### allElements

    public NodeList allElements(org.jdom.Element e)

  Creates a new Vector and walks the Element tree.
  Parameters:
    `Element` - the starting Element node
  Returns:
    Vector a vector of Element nodes

### treeWalk

    private final void treeWalk(org.jdom.Element e,
                                java.util.Collection theElements)

  A recursive method to walk the Element tree.
  Parameters:
    `Element` - the current Element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.